use rand::distributions::Alphanumeric;
use rand::Rng;

/// Generate a random string
pub fn rand_str(len: usize) -> String {
    let s: String = rand::thread_rng()
        .sample_iter(&Alphanumeric)
        .take(len)
        .map(char::from)
        .collect();
    s
}
